<Type Name="UriHostNameType" FullName="System.UriHostNameType" FullNameSP="System_UriHostNameType" Maintainer="ecma">
  <TypeSignature Language="ILASM" Value=".class public sealed serializable UriHostNameType extends System.Enum" />
  <TypeSignature Language="C#" Value="public enum UriHostNameType" />
  <MemberOfLibrary>Networking</MemberOfLibrary>
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ]</AssemblyPublicKey>
    <AssemblyVersion>1.0.x.x</AssemblyVersion>
    <AssemblyCulture>none</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>CLSCompliantAttribute(true)</AttributeName>
        <Excluded>0</Excluded>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <Docs>
    <summary>
      <para>Specifies the format of host names.</para>
    </summary>
    <remarks>
      <para>
        <block subset="none" type="note">The <see cref="T:System.UriHostNameType" /> enumeration defines the values returned by the <see cref="M:System.Uri.CheckHostName(System.String)" qualify="true" /> 
method.</block>
      </para>
    </remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Enum</BaseTypeName>
  </Base>
  <Interfaces />
  <Members>
    <Member MemberName="value__">
      <MemberSignature Language="ILASM" Value=".field public rtspecialname specialname int32 value__" />
      <MemberSignature Language="C#" Value="value__;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs />
      <Excluded>0</Excluded>
    </Member>
    <Member MemberName="Unknown">
      <MemberSignature Language="ILASM" Value=".field public static literal valuetype System.UriHostNameType Unknown = 0" />
      <MemberSignature Language="C#" Value="Unknown = 0;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.UriHostNameType</ReturnType>
      </ReturnValue>
      <Parameters />
      <MemberValue>Unknown</MemberValue>
      <Docs>
        <summary>
          <para>Specifies the format of a host name is not known or no host information is present.</para>
        </summary>
      </Docs>
      <Excluded>0</Excluded>
    </Member>
    <Member MemberName="Dns">
      <MemberSignature Language="ILASM" Value=".field public static literal valuetype System.UriHostNameType Dns = 2" />
      <MemberSignature Language="C#" Value="Dns = 2;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.UriHostNameType</ReturnType>
      </ReturnValue>
      <Parameters />
      <MemberValue>Dns</MemberValue>
      <Docs>
        <summary>
          <para>Specifies that the host name is a domain name system (DNS) style host address.</para>
        </summary>
      </Docs>
      <Excluded>0</Excluded>
    </Member>
    <Member MemberName="IPv4">
      <MemberSignature Language="ILASM" Value=".field public static literal valuetype System.UriHostNameType IPv4 = 3" />
      <MemberSignature Language="C#" Value="IPv4 = 3;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.UriHostNameType</ReturnType>
      </ReturnValue>
      <Parameters />
      <MemberValue>IPv4</MemberValue>
      <Docs>
        <summary>
          <para>Specifies that the host name is an Internet Protocol (IP) version 4 host address.</para>
        </summary>
      </Docs>
      <Excluded>0</Excluded>
    </Member>
    <Member MemberName="IPv6">
      <MemberSignature Language="ILASM" Value=".field public static literal valuetype System.UriHostNameType IPv6 = 4" />
      <MemberSignature Language="C#" Value="IPv6 = 4;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.UriHostNameType</ReturnType>
      </ReturnValue>
      <Parameters />
      <MemberValue>IPv6</MemberValue>
      <Docs>
        <summary>
          <para>Specifies that the host name is an Internet Protocol (IP)
 version 6 host address.</para>
        </summary>
      </Docs>
      <Excluded>0</Excluded>
    </Member>
  <Member MemberName="Basic">
      <MemberSignature Language="C#" Value="public static const System.UriHostNameType Basic" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.UriHostNameType</ReturnType>
      </ReturnValue>
      <MemberValue>Basic</MemberValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
  </Members>
  <TypeExcluded>0</TypeExcluded>
</Type>
